Package org.eclipse.unittest.model

# Class ITestElement.FailureTrace

java.lang.Object
org.eclipse.unittest.model.ITestElement.FailureTrace

Enclosing interface:
  ITestElement

public static final class ITestElement.FailureTrace extends Object
A failure trace of a test. This class is not intended to be instantiated or extended by clients.

## Constructor Summary

Constructors
Constructor
Description
`FailureTrace(String trace, String expected, String actual)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getActual()`
Returns the actual result or `null` if the trace is not a comparison failure.
`String`
`getExpected()`
Returns the expected result or `null` if the trace is not a comparison failure.
`String`
`getTrace()`
Returns the failure stack trace.
`boolean`
`isComparisonFailure()`
Returns `true` in case of comparison failure.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FailureTrace

public FailureTrace(String trace, String expected, String actual)

## Method Details

### getTrace

public String getTrace()
Returns the failure stack trace.

Returns:
  the failure stack trace

### getExpected

public String getExpected()
Returns the expected result or `null` if the trace is not a comparison failure.

Returns:
  the expected result or `null` if the trace is not a comparison failure.

### getActual

public String getActual()
Returns the actual result or `null` if the trace is not a comparison failure.

Returns:
  the actual result or `null` if the trace is not a comparison failure.

### isComparisonFailure

public boolean isComparisonFailure()
Returns `true` in case of comparison failure.

Returns:
  `true` in case of comparison failure, otherwise returns `false`